package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysMenu extends BaseEntity2<SysMenu> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 父id
     */
    private Long paterId;

    /**
     * 系统id
     */
    private Long sysId;

    /**
     * 标识
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型;1=目录 2=菜单 3=数据接口/按钮
     */
    private Integer type;

    /**
     * 客户端类型
     */
    private String clientType;

    /**
     * 数据接口uri
     */
    private String interfaceUri;

    /**
     * 前端参数
     */
    private String webJson;

    /**
     * 状态
     */
    private Boolean status;

    /**
     * 路由
     */
    private String route;

    /**
     * 排序; 正序
     */
    private Integer orders;

    /**
     * 图标
     */
    private String icon;
}
