package com.xy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xy.entity.SysDeptRole;

import java.util.List;

/**
 * <p>
 * 部门角色表; 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-15
 */
public interface SysDeptRoleService extends IService<SysDeptRole> {

    /***
     * 新建部门角色关系
     * @return
     * @author 谭斌
     * @date 2022/12/15 10:47
     */
    void saveDeptRole(Long deptId, List<Long> roleIds, Long sysId);

    /***
     * 更新部门角色关系
     * @return
     * @author 谭斌
     * @date 2022/12/15 10:47
     */
    void updateDeptRole(Long deptId, List<Long> roleIds, Long sysId);

    /**
     * 通过部门ID删除部门角色关系
     *
     * @param deptId
     */
    void removeDeptRoleById(Long deptId);
}
