package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@ApiModel("业务用户新增请求")
@Accessors(chain = true)
public class AddDto {

    @ApiModelProperty(value = "账号", required = true)
    @NotBlank(message = "account不可为空")
    private String account;

    @NotBlank(message = "email不可为空")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @NotBlank(message = "phone不能为空")
    @ApiModelProperty(value = "手机", required = true)
    private String phone;

    @ApiModelProperty(value = "密码", required = true)
    @NotBlank(message = "密码不可为空")
    private String password;

    @ApiModelProperty(value = "状态")
    private Boolean status;

    @ApiModelProperty(value = "角色ID(数组)")
    private List<Long> roleIds;

    @ApiModelProperty(value = "部门ID(数组)")
    private List<Long> deptIds;

}
