package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("登录")
@Accessors(chain = true)
public class LoginDto {

    @ApiModelProperty("账号,邮箱,手机")
    @NotBlank(message = "loginName不能为空")
    private String loginName;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("客户端类型")
    @NotNull(message = "clientType不能为空")
    private String clientType;

    @ApiModelProperty("短信验证码")
    private String code;


    /**
     * 滑块验证码 点坐标(base64加密传输)
     */
    private String pointJson;


}
